IFCTL(8)

NAME
ifctl - Interface helper utility

SYNOPSIS
ifctl [-i device] [-46] [-nprs] [-a data | -c | -d | -f | -l | -O]

DESCRIPTION
The ifctl utility will display or modify network device related data used by dynamic connections.

If none of ‘-c’, ‘-d’, ‘-f’ or ‘-a’ are given the current data is returned instead of modifying it. In this case a special interface suffix ‘:slaac’ is supported as a fallback option and read if no data file was found for the exact interface match. During modification using any option mentioned above, however, the ‘:slaac’ suffix must be given explicitly through the ‘-i’ parameter.

The options are as follows:

-4  Use IPv4 mode. This is the default.

-6  Use IPv6 mode.

-a  Append data to the currently selected device data. The option can be used multiple times in the same command invoke to append data at once. Note that ‘-d’ will be executed first when given in the same command invoke.

-c  Clear all registered data of the selected device.

-d  Delete the specified data of the selected device.

-f  Flush current SLAAC addressing of the selected device.

-i device
    Select the device to operate on. Special suffix ‘:slaac’ given creates a fallback configuration file only to be read if no exact match for the selected interface exists. If none was given ifctl list the available devices.

-l  List mode turns the output into the storage files available for reading. For implementational reasons the address family selector is ignored when not using the interface option ‘-i’.

-n  Use name server mode. This is the default.

-O  Dump mode is similar to ‘-l’, but prints all the available file names and their data for the specified interface.

-p  Use prefix delegation mode.

-r  Use router mode.

-s  Use search domain mode.

-V  Set debug mode for shell script output.

EXIT STATUS

AUTHORS
Franco Fichtner <franco@opnsense.org>